Summary:	A GNU collection of diff utilities
Name:		diffutils
Version:	3.12
Release:	%mkrel 1
License:	GPLv3+
Group:		Development/Other
URL:		https://www.gnu.org/software/diffutils/
Source0:	https://ftp.gnu.org/gnu/diffutils/%{name}-%{version}.tar.xz
Source1:	https://ftp.gnu.org/gnu/diffutils/%{name}-%{version}.tar.xz.sig
Source2:	diffutils-help2man.bz2
BuildRequires:	libsigsegv-devel
BuildRequires:	gettext-devel
BuildRequires:	autoconf
BuildRequires:	help2man

%description
Diffutils includes four utilities:  diff, cmp, diff3 and sdiff.

  * Diff compares two files and shows the differences, line by line.
  * The cmp command shows the offset and line numbers where two files differ,
    or cmp can show the characters that differ between the two files.
  * The diff3 command shows the differences between three files. Diff3 can be
    used when two people have made independent changes to a common original;
    diff3 can produce a merged file that contains both persons' changes and
    warnings about conflicts.
  * The sdiff command can be used to list diff of two files side by side or
    merge two files interactively.

Install diffutils if you need to compare text files.

%prep
%setup -q

%build
# default editor for sdiff interactive mode, vi is likely better than ed
perl -pi -e 's/^(#define\s+DEFAULT_EDITOR_PROGRAM\s+)"ed"/$1"vi"/' configure*

aclocal -I m4
automake -a
autoconf
%configure \
	--disable-rpath \
	--without-included-regex \
	--with-packager="%{distribution}" \
	--with-packager-bug-reports="https://bugs.mageia.org"


%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS README
%{_bindir}/*
%{_mandir}/man*/*
%{_infodir}/%name.info*


%changelog
* Sat Jul 19 2025 daviddavid <daviddavid> 3.12-1.mga10
+ Revision: 2257211
- new version: 3.12

* Sun Jun 29 2025 umeabot <umeabot> 3.10-3.mga10
+ Revision: 2221993
- Mageia 10 Mass Rebuild

* Sat Apr 06 2024 wally <wally> 3.10-2.mga10
+ Revision: 2055098
- basesystem rebuild for i686

* Mon May 22 2023 luigiwalser <luigiwalser> 3.10-1.mga9
+ Revision: 1957741
- 3.10

* Tue Jan 17 2023 luigiwalser <luigiwalser> 3.9-1.mga9
+ Revision: 1933994
- 3.9

* Thu Mar 17 2022 umeabot <umeabot> 3.8-2.mga9
+ Revision: 1797145
- Mageia 9 Mass Rebuild

* Mon Aug 02 2021 luigiwalser <luigiwalser> 3.8-1.mga9
+ Revision: 1738613
- 3.8

* Thu Apr 16 2020 tv <tv> 3.7-3.mga8
+ Revision: 1567757
- remove info-install dep

* Fri Feb 14 2020 umeabot <umeabot> 3.7-2.mga8
+ Revision: 1521777
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Tue Jan 01 2019 luigiwalser <luigiwalser> 3.7-1.mga7
+ Revision: 1348184
- 3.7

* Mon Sep 03 2018 tv <tv> 3.6-2.mga7
+ Revision: 1256564
- rely on filetriggers for info system (mga#23482)

* Wed Aug 30 2017 cjw <cjw> 3.6-1.mga7
+ Revision: 1148497
- 3.6

* Thu Feb 11 2016 umeabot <umeabot> 3.3-6.mga6
+ Revision: 953778
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 3.3-5.mga6
+ Revision: 867448
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 3.3-4.mga5
+ Revision: 751207
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3-3.mga5
+ Revision: 678742
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.3-2.mga4
+ Revision: 523860
- Mageia 4 Mass Rebuild

* Sun May 26 2013 blino <blino> 3.3-1.mga4
+ Revision: 427715
- drop merged patches
- 3.3

* Fri Jan 11 2013 umeabot <umeabot> 3.2-5.mga3
+ Revision: 348778
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 3.2-4.mga3
+ Revision: 336687
- add patch to fix build with automake 1.13

* Tue Dec 11 2012 cjw <cjw> 3.2-3.mga3
+ Revision: 329734
- add BuildRequires: gettext-devel
- patch1: fix build with glibc 2.16
+ pterjan <pterjan>
- Fix autoreconf call

* Sun Nov 06 2011 shadow95 <shadow95> 3.2-2.mga2
+ Revision: 164562
- replace http://qa.mandriva.com by https://bugs.mageia.org in man page, fixes bug #1380

* Fri Sep 02 2011 kharec <kharec> 3.2-1.mga2
+ Revision: 138043
- new version 3.2
+ fwang <fwang>
- update file list
- new version 3.1

* Sat Jan 08 2011 blino <blino> 3.0-1.mga1
+ Revision: 553
- imported package diffutils


* Sun Jul 11 2010 Funda Wang <fwang@mandriva.org> 3.0-1mdv2011.0
+ Revision: 550624
- New version 3.0

* Sat Feb 27 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.9-1mdv2010.1
+ Revision: 512438
- update to new version 2.9
- drop patches 0 and 1 both are not needed any more
- spec file clean

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 2.8.7-10mdv2010.0
+ Revision: 413355
- rebuild

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 2.8.7-9mdv2009.1
+ Revision: 316205
- fix build with -Werror=format-security (P3)

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 2.8.7-8mdv2009.0
+ Revision: 220625
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 2.8.7-7mdv2008.1
+ Revision: 149182
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Adam Williamson <awilliamson@mandriva.org> 2.8.7-6mdv2008.0
+ Revision: 85798
- rebuild for 2008
- Fedora license policy


* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.8.7-5mdv2007.0
+ Revision: 119991
- spec file clean
- bunzip patch

  + Emmanuel Andry <eandry@mandriva.org>
    - Import diffutils

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 2.8.7-4mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.8.7-3mdk
- Rebuild

* Wed Jun 02 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.8.7-2mdk
- rework patch2 with suggestions from Mitsuru Chinen (fails i18n tests)

* Mon May 24 2004 Abel Cheung <deaddog@deaddog.org> 2.8.7-1mdk
- New version
- Rediff patch2
- Use tar.gz with signature
- Use help2man to regenerate manpage instead of bundling 11-year old ones
- In sdiff interactive mode, use vi instead of ed as default editor

